/*Defaults Rule Sets*/
html, body{
    background-color: #232023;
    height: 100%;
    position: relative;
}
.main-container{
    min-height: 100vh;

    overflow: hidden;
    display: block;
    position: relative;
    padding-bottom: 220px; /*height of footer*/
}
#header, #content, #footer{
    background-color: #232023;
    color: #FeFFF7;
    font-family: "Fira Sans", sans-serif;
    box-sizing: border-box;
    
    overflow-x: hidden;
    text-align: center;
}
.mark-expander{
    max-height: 10000px;
}
.preload *{
    visibility: hidden;
    
    -webkit-transition: none !important;
       -moz-transition: none !important;
        -ms-transition: none !important;
         -o-transition: none !important;
}
img, .logo{
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
         -o-user-select: none;
            user-select: none;
}
img{
    max-width: 100%;
    max-height: 100%;
    
    pointer-events: none;
}
a{
    text-decoration: none;
    color: #FeFFF7;
}
a:active, a:focus{
    color: #FeFFF7;
    
    outline: 0;
    border: none;
    -moz-outline-style: none;
}
h1{
    
}
p{
    font-family: "Montserrat", sans-serif;
    font-size: 1.2rem;
    text-align: left;
    
    line-height: 24px;
    color: #e4e5e0;
    
    -webkit-text-stroke: none;
    text-shadow: none;
}
.span-red-text{
    color: #FF1814;
}
.button, .button-selected{
    display: inline-block;
    
    margin: 20px 0 0 0;
    padding: 10px 5px 10px 5px;
    
    font-size: 2rem;
    font-weight: 500;
    
    background-color: #ff1814;
    color: #fefff7;
    
    /*
    text-shadow:
		-1px -1px 0 #000,
		1px -1px 0 #000,
		-1px 1px 0 #000,
		1px 1px 0 #000;
	
    text-shadow: 0 0 2px black;
    -webkit-text-stroke: 1px black;
    
    text-shadow:
       1px 1px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
    */
    
    transition: 0.3s;

    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);

       -moz-user-select: none;
     -khtml-user-select: none;
    -webkit-user-select: none;
        -ms-user-select: none;
            user-select: none;
    
    box-shadow: 0 0 20px #000;
    cursor: pointer;
}
.button:hover{
    transform: scale(1.1);
}

/*Triangle decorations give the sections the slanted look*/
.right-triangle-decoration{
    margin: -20vh 0 0 0;
    
    width: 0;
    height: 0;
    background-color: transparent;
    border-bottom: 20vh solid #232023;
    border-left: 1920px solid transparent;
    
    -webkit-filter: drop-shadow(0px -5px 5px rgba(0,0,0,.5));
    filter: drop-shadow(0px -5px 5px rgba(0,0,0,.5));
}
.inverse-right-triangle-decoration{
    margin: 0 0 -200px 0;
    z-index: 200;
    position: relative;
    
    width: 0;
    height: 0;
    
    background-color: transparent;
    border-top: 200px solid #232023;
    border-left: 1920px solid transparent;
}


/*Header Rule Sets*/
.header{
    display: flex;
    flex: 1;
    justify-content: space-between;
    
    position: fixed;
    z-index: 1000;
    overflow: hidden;
    
    top: 0;
    left: 0;
    margin: 0;
    
    width: 100%;
    height: 4.2rem;
    
    box-shadow: 0 0 5px black;
    /* #232023 */
    
    text-shadow:
		-1px -1px 0 #000,
		1px -1px 0 #000,
		-1px 1px 0 #000,
		1px 1px 0 #000;

            transition: 0.4s ease-in-out;
    -webkit-transition: 0.4s ease-in-out;
         -o-transition: 0.4s ease-in-out;
       -moz-transition: 0.4s ease-in-out;
}

#header .logo{
    display: inline-block;
    margin: auto 0 auto 4rem;
    
    transition: all 0.4s ease-in-out;
    
    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);
}
#header .logo-image{
    display: inline-block;
    vertical-align: middle;

    background-image: url("../images/simple_logo_old.png");
    background-size: cover;
    
    width: 55px;
    height: 55px;
    
    margin: 0 10px 0 0;
    
    transition: inherit;
}
#header .logo-text{
    display: inline-block;
    vertical-align: middle;
    
    margin: 8px 0 0 0;
    
    font-weight: 700;
    font-size: 2.8rem;
    color: #fefff7;
    
    transition: inherit;
    user-select: none;
}
#header .post-resize-text{
    display: none;
}
.nav-menu{
    display: flex;
    margin: auto 0 auto 10px;
    
    max-height: 100%;
    
    padding: 0 2rem 0 0;
    align-self: flex-end;
    align-items: stretch;
}
#ham-menu{
    display: none;
}
.nav-menu li a{
    position: relative;
    z-index: 101;
    overflow: hidden;
    
    margin: auto 0px auto 0px;
    padding: 0 20px 0 20px;
    
    height: 100%;
    
    font-weight: 500;
    background: inherit;

    box-shadow: none;
}
.nav-title{
    display: block;
    
    position: relative;
    z-index: 103;
    
    margin: 1.75rem auto;
    font-size: 1.35rem;
    
            transition: all 0.4s ease-in-out;
    -webkit-transition: all 0.4s ease-in-out;
         -o-transition: all 0.4s ease-in-out;
       -moz-transition: all 0.4s ease-in-out;
}
.nav-button-slide{
    position: absolute;
    z-index: 102;
    left: 0;
    right: 0;
    bottom: 100%;
    overflow: hidden;

    width: 100%;
    height: 0;
    
    background-color: #4e4851;
    transition: 0.1s ease;
}
.nav-menu .button-selected{
    background-color: #FF1814;
}
.nav-menu .button:hover{
    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);
}
.button-selected .nav-button-slide{
    background-color: #d61815;
}
.button:hover .nav-button-slide, .button-selected:hover .nav-button-slide{
    bottom: 0;
    height: 100%;
}

/*Shrinking Header Classes*/
.header-shrink{
    height: 2.8rem;
}
.nav-button-shrink{
    margin: 0.8rem auto;
    font-size: 1.3rem;
}
#header .logo-text-shrink{
    margin-top: 4px;
    font-size: 2.4rem;
}
#header .logo-image-shrink{
    width: 30px;
    height: 30px;
}
table{
    width: 100%;
    font-family: "Montserrat", sans-serif;
    font-size: calc(10px + 1.1vw);
    border-collapse: collapse;
}
table th, td{
    padding: 5px 10px 5px 10px;
    border: 1px solid black;
}
table td{
    background-color: #918d96;
}
table th{
    padding-top: 20px;
    padding-bottom: 10px;
    
    background-color: #2b2b2b;
    color: white;

    font-family: "Fira Sans", sans-serif;
}
.title-group{
    display: flex;
    justify-content: space-between;
}
.bottom-group{
    display: none;
    position: relative;
    z-index: 101;
    
    height: 100%;
    
    box-shadow: 0 0 5px black;
}

/*Triangle decorations give the sections the slanted look*/
.backunderside{
    visibility: hidden;
    margin: 0;
}
.right-triangle-decoration{
    position: relative;
    margin: -120px 0 0 0;
    z-index: 120;
    
    width: 0;
    height: 0;
    background-color: transparent;
    border-bottom: 120px solid #232023;
    border-left: 1920px solid transparent;
    
    -webkit-filter: drop-shadow(0px -2px 2px rgba(0,0,0,.5));
    filter: drop-shadow(0px -2px 2px rgba(0,0,0,.5));
}
.backred{
    z-index: 119;
    border-bottom: 100px solid #ff1814;
    border-left: 0;
    border-right: 1920px solid transparent;
}

/*content Rule sets */
.page-tlt-triangle{
    position: absolute;
    bottom: 0;
}
.page-tlt{
    display: block;
    
    position: relative;
    margin: 0 0 calc(90px - 1.5vw) 0;    
    height: calc(35vh + 70px);
    min-height: 300px;
    
    background-color: #191919;
    background-size: cover;
    background-position: center;
}
.page-tlt h1{
    position: absolute;
    bottom: -20;
    right: 0;
    margin-right: 60px;
    z-index: 200;
    
    font-size: calc(50px + 7vw);
    text-align: right;
    
    -webkit-text-stoke: 5px black;
    text-shadow:
       8px 8px 0 #000,
     -2px -2px 0 #000,  
      2px -2px 0 #000,
      -2px 2px 0 #000,
       2px 2px 0 #000;
}
.body-content{
    padding-bottom: 100px;
}

/* Footer Rule Sets */
#footer{
    position: absolute;
    bottom: 0;
    overflow: hidden;
    
    width: 100%;
    height: 220px; /*height of footer*/

    z-index: 500;
    background: transparent;
}
.highlighted-body-section{
    display: flex;
    flex-direction: column;
    
    position: relative;
    padding: 0 50px 50px 50px;
}
.footerred{
    position: relative;
    z-index: 490;
    margin: 0;
}
.footerblack{
    margin: -100px 0 0 0;
    z-index: 480;
}
.actual-footer{
    position: relative;
    z-index: 500;
    background-color: #ff1814;
    height: 140px;
    width: 100%;
    margin: -21px 0 0 0;
}

@media only screen and (max-width: 1060px){
    .header{
        display: inline-block;
        transition: 0.2s;
    }
    .title-group{
        display: flex;
        justify-content: space-between;

        position: relative;
        z-index: 101;
        
        height: 4.8rem;
        box-shadow: 0 0 5px black;
    }
    .menu-group{
        display: block;
        max-height: 500%;
        transition: none;
        
        position: relative;
        z-index: 99;
    }
    .bottom-group{
        display: flex;
    }
    #ham-menu{
        display: flex;
        align-self: flex-end;
    }
    .nav-menu-wrapper{
        display: block;
        position: relative;
        
        width: 100%;
    }
    .nav-menu{
        margin: 0;
    }
    .height-expand{
        position: fixed;
        overflow-y: auto;
        height: 100%;
        width: 100%;
    }
    #main-menu{
        display: block;
        overflow: hidden;
        
        padding: 0; 
        border-top: none;
        
        background-color: #303030;
    }
    #main-menu .button, #main-menu .button-selected{
        -webkit-transform: skew(0deg);
           -moz-transform: skew(0deg);
            -ms-transform: skew(0deg);
             -o-transform: skew(0deg);
                transform: skew(0deg);
    }
    #main-menu li a{
        display: flex;
        flex-direction: column;
        justify-content: center;
        position: static;
        
        height: 4rem;
    }
    #main-menu li:first-child a{
        padding-top: 10px;
    }
    #main-menu li:last-child a{
        padding-bottom: 10px;
    }
    .button:hover{
        background-color: #e01511;
    }
    .button-selected:hover{
        background-color: #d62f2c;
    }
    .button .nav-button-slide, .button-selected .nav-button-slide{
        display: none;
    }
    #main-menu li a h1{
        font-size: 1.8rem;
        font-family: "Montserrat", sans-serif;
    }
    #main-menu li a h1 i{
        margin: 0 5px 0 0;
    }
    .bottom-group a, .bottom-group a h1{
        flex: 1 1 50%;
        font-size: 40px;
        height: 100px;
    }
    .bottom-group a:hover{
        background-color: #4e4851;
    }
}
@media only screen and (max-width: 550px){
    #header .mark-delete{
        display: none;
    }
    #header .post-resize-text{
        display: inline-block;
    }
    #header .logo{
        margin-left: 2rem;
    }
}